[FZH] 回复﹕ Re: rpm是不是应该加一个可选依赖的选项?

Christopher Meng cickumqt at gmail.com
Thu Dec 11 01:33:51 UTC 2014


Yum 在未来8年内都将处于维护状态。不用担心。

RHEL8 应该将转移到 dnf,8年时间迁移够用。
2014年12月10日 下午9:37于 "Easior Lars" <easior.lars at yahoo.com>写道:

> dnf 还有这功能!
> 真不想换掉 yum ,
> 不知道 yum 还能活下去吗?
>
>
>
>
>
> 发自 iPad 版 雅虎邮箱 <https://overview.mail.yahoo.com?.src=iOS>
>
> 在2014年12月9日 15:56:56,Tommy He<'lovenemesis at fedoraproject.org'>写道:
> 接着上面的说,从本人最近更新过的 dnf 的翻译来看已经在逐步加入这些支持了。
>
> 其实 rpm 的依赖关系在过去处理还是有不少缺陷的。
>
> 比如 A 和 B 提供相似功能所以可以互相替代,在依赖关系就反映为互相冲突。以下情景:系统已经装了 A 且包含了大量依赖的 A 软件,此时欲安装依赖
> B 的新软件 C,这个时候老版本的 yum/rpm 会报错,因为依赖关系解析不过。过去这种情况,只能进入 yum shell
> 模式,在一个事务中人工无视依赖先删除 A,然后再依据依赖装上 B 处理掉。
>
> 而在 dnf 中引入了 allowearasing
> 的选项,允许在事务的依赖关系解析过程中删除已有软件包,上面这种情况就可以自动处理,就无需人工干预了。
>
> 2014-12-08 14:16 GMT+08:00 Peng Wu <peng.e.wu at gmail.com>:
>
> > 在 2014-12-08的 12:02 +0800,Szopen Xiao写道:
> > > 搜索了一下,的确是我们说的功能,功能包括 “建议," "推荐," "补充," 和"增强" 标签
> > >
> >
> > 可能需要 dnf 来支持此特性。
> >
> > > 在 2014年12月8日 上午8:18,Christopher Meng <cickumqt at gmail.com>写道:
> > >
> > > > 好像你们说的弱依赖从 rpm 4.12.0 开始就有了,只不过还没出规定让 packager 怎么用。
> > > >
> > > > 参考 rpm 4.12 weak dependency
> > > > --
> > > > Fedora中文郵件列表:
> https://admin.fedoraproject.org/mailman/listinfo/chinese
> > > >
> > > --
> > > Fedora中文郵件列表:https://admin.fedoraproject.org/mailman/listinfo/chinese
> >
> >
> > --
> > Fedora中文郵件列表:https://admin.fedoraproject.org/mailman/listinfo/chinese
> >
>
>
>
> --
> Take a Deep Breath out of Windows
>
> https://fedoraproject.org/wiki/User:Lovenemesis
>
> --
> Fedora中文郵件列表:https://admin.fedoraproject.org/mailman/listinfo/chinese
>
>
> --
> Fedora中文郵件列表:https://admin.fedoraproject.org/mailman/listinfo/chinese
>
>


More information about the Chinese mailing list